Bug 5414 - staged import dies silently if MARC::Record chokes on a too-large MARC record
Summary: staged import dies silently if MARC::Record chokes on a too-large MARC record
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic record staging/import (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-16 20:24 UTC by Ben Ostrowsky
Modified: 2019-05-04 12:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Ostrowsky 2010-11-16 20:24:46 UTC
When doing a staged import via the web interface, if the file contains a record over 99999 bytes (the limit of the MARC specification), MARC::Record 2.0.2 will choke, causing the job progress bar to freeze in place.  The staff member who is trying to do a staged import is not notified that a problem has occurred.

Workarounds: (1) Convert the file to MARCXML and use bulkmarcimport.pl instead. (2) Update MARC::Record (or, while 2.0.2 remains the latest release, apply http://marcpm.git.sourceforge.net/git/gitweb.cgi?p=marcpm/marcpm;a=commitdiff;h=d354e1f45414bf7f48c76e0de0c1ffba76d38037 by hand).
Comment 1 Jon Knight 2018-05-14 16:22:34 UTC
MARC::Record 2.0.6 is now required.  Is this still a problem as that bug was fixed in MARC::Record 2.0.3 back in 2011?

https://metacpan.org/changes/distribution/MARC-Record

2.0.3 Fri Jan 14 17:50:12 EST 2011
        - RT#62296: fix crash when dealing with record bigger than
          99999 bytes (Alex Arnaud)
        - test cases for MARC::Field->subfields()
        - RT#61198: let subfields return an empty array on control
          fields (Colin Campbell)
Comment 2 Katrin Fischer 2019-05-04 12:37:08 UTC
(In reply to Jon Knight from comment #1)
> MARC::Record 2.0.6 is now required.  Is this still a problem as that bug was
> fixed in MARC::Record 2.0.3 back in 2011?
> 
> https://metacpan.org/changes/distribution/MARC-Record
> 
> 2.0.3 Fri Jan 14 17:50:12 EST 2011
>         - RT#62296: fix crash when dealing with record bigger than
>           99999 bytes (Alex Arnaud)
>         - test cases for MARC::Field->subfields()
>         - RT#61198: let subfields return an empty array on control
>           fields (Colin Campbell)

Closing, thx Jon!